"use client"

import type React from "react"

import { AuthProvider } from "@/lib/auth-context"
import { DataStoreProvider } from "@/lib/data-store"

export default function AdminLayout({
  children,
}: {
  children: React.ReactNode
}) {
  return (
    <AuthProvider>
      <DataStoreProvider>{children}</DataStoreProvider>
    </AuthProvider>
  )
}
